package jp.kobe_u.cs27.newse.medicalcheck.exception;

public class MedicalCheckException extends RuntimeException{
    private static final long serialVersionUID = 1L;

    /**
     * 定義済みエラーコード
     */
    public static final int FORM_VALIDATION_FAILED = 11;
    public static final int PERSON_ALREADY_EXISTS = 12;
    public static final int NO_SUCH_PERSON = 13;

    private int code;

    public int getCode() {
        return code;
    }
    public MedicalCheckException(int code, String message) {
        super(message);
        this.code = code;
    }

    public MedicalCheckException(int code, String message, Exception cause) {
        super(message, cause);
        this.code = code;
    }

    

    
}